#!/bin/sh
# /usr/lib/upgrade/4021-gdi-link-tx-socket.sh
# 
#  Copyright: ©2012, Güralp Systems Ltd.
#  Author: Laurence Withers <lwithers@guralp.com>
#  License: GPLv3
#
# gdi-link-tx needs to have gdi_socket set in its default config file.
#

# Only run once
[ -n "${POST_UPGRADE_CACHE}" ] && touch "${POST_UPGRADE_CACHE}/`basename $0`"

CONF="/etc/gdi-link-tx/default.local"
DEFAULT_SOCK="/var/run/gdi-base.default.sink"

# won't be a problem if we don't have an instantiated .local yet
[ -e "${CONF}" ] || exit 0

SOCK="`gcs_rwvar gcs_get_varcf gdi_socket "${CONF}"`"
if [ -z "${SOCK}" ]
then
	echo " * Adding gdi_socket to ${CONF}"
	gcs_rwvar gcs_set_varcf gdi_socket "${CONF}" "${DEFAULT_SOCK}"
fi
